<html data-namespace-typo3-fluid="true" lang="en"
	  xmlns:f="https://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers">
<f:layout name="Default" />

<f:section name="Main">

	<div class="shop-basketorder-checkout">
		<f:flashMessages />
		<f:if condition="{configuration}">

			<f:form additionalAttributes="{role: 'form'}"
					action="confirmOrder"
					controller="BasketOrder"
					arguments="{type: configuration.type}">

				<f:if condition="{configuration.frontendUser}">
					<div class="{settings.alerts.css.class.info}">
						<f:format.raw><f:translate key="tx_shop_message.checkout_login_notice" arguments="{0: configuration.frontendUser.username}" /></f:format.raw>
						<f:if condition="{configuration.profilePid}">
							<br />
							<f:variable name="profileEditLink" value="{f:uri.page(pageUid: configuration.profilePid)}" />
							<f:format.raw><f:translate key="tx_shop_message.checkout_login_editing_notice" arguments="{0: profileEditLink}" /></f:format.raw>
						</f:if>
					</div>
				</f:if>

				<f:for each="{configuration.fields}" key="field" as="fieldData">
					<f:if condition="{fieldData.type} == 'input'">
						<div class="form-group {f:if(condition: fieldData.deliveryAddress, then: 'deliveryAddress')}">
							<label for="checkout_{field}">{fieldData.label}{f:if(condition: fieldData.required, then: '<span class="required">*</span>')}</label>
							<f:form.textfield class="form-control {f:if(condition: fieldData.invalid, then: 'is-invalid')} {f:if(condition: fieldData.valid, then: 'is-valid')}"
											  name="{field}"
											  id="checkout_{field}"
											  value="{fieldData.value}"
											  readonly="{fieldData.readonly}"
											  placeholder="{fieldData.placeholder}" />
							<f:if condition="{fieldData.displayErrors}">
								<div class="invalid-feedback">
									<f:for each="{fieldData.displayErrors}" as="errorMessage" iteration="errorMessageIterator">
										<f:if condition="{errorMessageIterator.isFirst}">
											<f:then>{errorMessage}</f:then>
											<f:else><br />{errorMessage}</f:else>
										</f:if>
									</f:for>
								</div>
							</f:if>
						</div>
						<f:if condition="{fieldData.emailCompare.active}">
							<div class="form-group">
								<label for="checkout_{field}_compare">{fieldData.emailCompare.label}{f:if(condition: fieldData.required, then: '<span class="required">*</span>')}</label>
								<f:form.textfield class="form-control {f:if(condition: fieldData.invalid, then: 'is-invalid')} {f:if(condition: fieldData.valid, then: 'is-valid')}"
												  name="{field}_compare"
												  id="checkout_{field}_compare"
												  value="{fieldData.emailCompare.value}"
												  placeholder="{fieldData.emailCompare.placeholder}" />
							</div>
						</f:if>
					</f:if>

					<f:if condition="{fieldData.type} == 'password'">
						<div class="form-group password">
							<label for="checkout_{field}">{fieldData.label}{f:if(condition: fieldData.required, then: '<span class="required">*</span>')}</label>
							<f:form.password class="form-control {f:if(condition: fieldData.invalid, then: 'is-invalid')} {f:if(condition: fieldData.valid, then: 'is-valid')}"
											 name="{field}"
											 id="checkout_{field}"
											 value="{fieldData.value}"
											 readonly="{fieldData.readonly}"
											 placeholder="{fieldData.placeholder}" />
							<f:if condition="{fieldData.displayErrors}">
								<div class="invalid-feedback">
									<f:for each="{fieldData.displayErrors}" as="errorMessage" iteration="errorMessageIterator">
										<f:if condition="{errorMessageIterator.isFirst}">
											<f:then>{errorMessage}</f:then>
											<f:else><br />{errorMessage}</f:else>
										</f:if>
									</f:for>
								</div>
							</f:if>
						</div>
						<div class="form-group password">
							<label for="checkout_{field}_compare">{fieldData.passwordCompare.label}{f:if(condition: fieldData.required, then: '<span class="required">*</span>')}</label>
							<f:form.password class="form-control {f:if(condition: fieldData.invalid, then: 'is-invalid')} {f:if(condition: fieldData.valid, then: 'is-valid')}"
											 name="{field}_compare"
											 id="checkout_{field}_compare"
											 value="{fieldData.passwordCompare.value}"
											 placeholder="{fieldData.passwordCompare.placeholder}" />
						</div>
					</f:if>

					<f:if condition="{fieldData.type} == 'country'">

						<f:variable name="additionalAttributes" value="{}" />
						<f:if condition="{fieldData.readonly}">
							<f:variable name="additionalAttributes" value="{readonly: '1'}" />
						</f:if>

						<div class="form-group {f:if(condition: fieldData.deliveryAddress, then: 'deliveryAddress')}">
							<label for="checkout_{field}">{fieldData.label}{f:if(condition: fieldData.required, then: '<span class="required">*</span>')}</label>
							<f:form.select class="form-select {f:if(condition: fieldData.invalid, then: 'is-invalid')} {f:if(condition: fieldData.valid, then: 'is-valid')}"
										   name="{field}" id="checkout_{field}"  value="{fieldData.value}"
										   additionalAttributes="{additionalAttributes}"
										   options="{countries}"
										   optionLabelField="shortNameEn"
										   optionValueField="isoCodeA2" />
							<f:if condition="{fieldData.displayErrors}">
								<div class="invalid-feedback">
									<f:for each="{fieldData.displayErrors}" as="errorMessage" iteration="errorMessageIterator">
										<f:if condition="{errorMessageIterator.isFirst}">
											<f:then>{errorMessage}</f:then>
											<f:else><br />{errorMessage}</f:else>
										</f:if>
									</f:for>
								</div>
							</f:if>
						</div>
					</f:if>

					<f:if condition="{fieldData.type} == 'textarea'">

						<f:variable name="additionalAttributes" value="{placeholder: fieldData.placeholder}" />
						<f:if condition="{fieldData.readonly}">
							<f:variable name="additionalAttributes" value="{readonly: '1', placeholder: fieldData.placeholder}" />
						</f:if>

						<div class="form-group {f:if(condition: fieldData.deliveryAddress, then: 'deliveryAddress')}">
							<label for="checkout_{field}">{fieldData.label}{f:if(condition: fieldData.required, then: '<span class="required">*</span>')}</label>
							<f:form.textarea class="form-control {f:if(condition: fieldData.invalid, then: 'is-invalid')} {f:if(condition: fieldData.valid, then: 'is-valid')}"
											 name="{field}"
											 id="checkout_{field}"
											 value="{fieldData.value}"
											 readonly="{fieldData.readonly}"
											 additionalAttributes="{additionalAttributes}" rows="3" />
							<f:if condition="{fieldData.displayErrors}">
								<div class="invalid-feedback">
									<f:for each="{fieldData.displayErrors}" as="errorMessage" iteration="errorMessageIterator">
										<f:if condition="{errorMessageIterator.isFirst}">
											<f:then>{errorMessage}</f:then>
											<f:else><br />{errorMessage}</f:else>
										</f:if>
									</f:for>
								</div>
							</f:if>
						</div>
					</f:if>
					<f:if condition="{fieldData.type} == 'checkbox'">
						<div class="form-group form-check {f:if(condition: fieldData.deliveryAddress, then: 'deliveryAddress')}">
							<f:form.checkbox class="form-check-input {f:if(condition: fieldData.invalid, then: 'is-invalid')} {f:if(condition: fieldData.valid, then: 'is-valid')}"
											 name="{field}"
											 id="checkout_{field}"
											 value="1"
											 checked="{fieldData.value}" />
							<label for="checkout_{field}" class="form-check-label">
								<f:variable name="linkUrl" value="{f:uri.page(pageUid: fieldData.linkPid)}" />
								<f:if condition="{linkUrl}">
									<f:then><f:format.raw>{fieldData.label->f:format.printf(arguments: {1: linkUrl})}</f:format.raw></f:then>
									<f:else><f:format.stripTags allowedTags="<a><span>">{fieldData.label}</f:format.stripTags></f:else>
								</f:if>
								{f:if(condition: fieldData.required, then: '<span class="required">*</span>')}</label>
							<f:if condition="{fieldData.displayErrors}">
								<div class="invalid-feedback">
									<f:for each="{fieldData.displayErrors}" as="errorMessage" iteration="errorMessageIterator">
										<f:if condition="{errorMessageIterator.isFirst}">
											<f:then>{errorMessage}</f:then>
											<f:else><br />{errorMessage}</f:else>
										</f:if>
									</f:for>
								</div>
							</f:if>
						</div>
					</f:if>

					<f:if condition="{fieldData.type} == 'select'">

						<f:variable name="additionalAttributes" value="{}" />
						<f:if condition="{fieldData.readonly}">
							<f:variable name="additionalAttributes" value="{readonly: '1'}" />
						</f:if>

						<div class="form-group {f:if(condition: fieldData.deliveryAddress, then: 'deliveryAddress')}">
							<label for="checkout_{field}">{fieldData.label}{f:if(condition: fieldData.required, then: '<span class="required">*</span>')}</label>
							<f:form.select class="form-select {f:if(condition: fieldData.invalid, then: 'is-invalid')} {f:if(condition: fieldData.valid, then: 'is-valid')}"
										   name="{field}" id="checkout_{field}"  value="{fieldData.value}"
										   additionalAttributes="{additionalAttributes}"
										   options="{fieldData.options}"
										   optionLabelField="label"
										   optionValueField="value" />
							<f:if condition="{fieldData.displayErrors}">
								<div class="invalid-feedback">
									<f:for each="{fieldData.displayErrors}" as="errorMessage" iteration="errorMessageIterator">
										<f:if condition="{errorMessageIterator.isFirst}">
											<f:then>{errorMessage}</f:then>
											<f:else><br />{errorMessage}</f:else>
										</f:if>
									</f:for>
								</div>
							</f:if>
						</div>
					</f:if>

				</f:for>

				<f:link.page pageUid="{settings.basket.pid}" class="btn btn-danger"
							 title="{f:translate(key: 'tx_shop_label.checkout_cancel_button_title')}">
					<f:translate key="tx_shop_label.checkout_cancel_button_label" />
				</f:link.page>
				<button type="submit" class="btn btn-success"
						title="{f:translate(key: 'tx_shop_label.checkout_submit_button_title')}">
					<f:translate key="tx_shop_label.checkout_submit_button_label" />
				</button>

			</f:form>
		</f:if>

	</div>
</f:section>
</html>
